
Robotics Service Bus - Tasks #196
Test for consistent option file parsing
02/17/2011 06:01 PM - J. Wienke

Status: Resolved Start date: 02/17/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Language Integration Estimated time: 2.00 hours
Target version: 0.2
Description

Every language must accept the options files and their contents.

Related issues:
Blocked by Robotics Service Bus - Enhancement # 298: Adapt configuration mech... Resolved 05/16/2011

Associated revisions
Revision a0c7c8e2 - 05/23/2011 09:00 PM - J. Moringen
Integration test for configuration option parsing
refs #196
    -  cpp/CMakeLists.txt: added an executable built from cpp/config.cpp
    -  cpp/config.cpp: new file; C++ configuration parsing test
    -  lisp/config.lisp: new file; Lisp configuration parsing test
    -  python/config.py: new file; Python configuration parsing test
    -  test/config-smoke.conf: new file; example configuration file for

  parsing smoke test
    -  test/config-smoke.expected: new file; expected output for parsing

  smoke test
    -  test/integrationtest.py: add test cases testConfigurationLANG for

  all languages

Revision 44d18a64 - 05/23/2011 09:03 PM - J. Moringen
Re-enabled accidentally disabled test in test/integrationtest.py
refs #196
    -  test/integrationtest.py: re-enabled accidentally disabled

  testCommunicationLANG1LANG2 test cases

Revision dc57db6f - 05/23/2011 11:35 PM - J. Moringen
Added support for Java in configuration test
fixes #196
    -  java/CMakeLists.txt: added files java/config.java and

  java/config.sh.in
    -  java/config.java: new file; stub for Java configuration test program
    -  java/config.sh.in: new file; template for shell-script for

  configuration test case

History
#1 - 05/16/2011 02:32 PM - J. Wienke
- Target version set to 0.2
#2 - 05/16/2011 06:47 PM - J. Wienke
- Estimated time set to 2.00

First basic test could simply be to let spread operate on a non-standard port.

#3 - 05/23/2011 08:58 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#4 - 05/23/2011 11:35 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r1136.
